package com.sxtvs.open.api.h5template.dto;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.sxtvs.open.api.h5template.entity.H5Template;
import com.sxtvs.open.core.advice.BizException;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import java.time.LocalDateTime;

@Data
public class H5TemplateParseDTO {
    private Long id;

    private String title;

    private String h5Desc;

    private Object hoversList;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private String url;

    private String cover;

    private String type;

    public H5TemplateParseDTO(H5Template h5Template) {

        BeanUtils.copyProperties(h5Template, this);
        ObjectMapper objectMapper = new ObjectMapper();
        try {
            this.hoversList = objectMapper.readValue(h5Template.getHoversList(), Object.class);
        } catch (JsonProcessingException e) {
            throw new BizException("json转换失败");
        }

    }
}
